Subject: bug#39164: 27.0.60; Intermittent crash on MacOS 10.14 in setup_process_coding_systems

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2020 23:01:10 +0200

> From: Justin Guenther <[email-masked]>
> Date: Fri, 17 Jan 2020 13:00:47 -0600
> 
> I've been seeing an intermittent crash in setup_process_coding_systems
> (crash traces are attached). It seems to most frequently happen from
> create_process -> setup_process_coding_systems, but that may just be
> due to my frequent usage of `helm-do-ag-project-root'.
> 
> For the attached crash_2020-01-15_1_create_process.log, it happened
> when using `helm-do-ag-project-root', which takes input from the
> minibuffer and runs an external `ag` (the_silver_searcher) process to
> search the current project (in this case, a git repo) and
> display/refresh the results as I type in the minibuffer.
> 
> For the other crash logs, unfortunately I didn't record what I was
> doing at the time. But IIRC most of them were from
> `helm-do-ag-project-root`.

Thanks, but the backtraces don't show any source information, and it
is very hard to do anything about this without that.  Can you tell
where in coding.c is setup_process_coding_systems + 152?